set_form_variables

# quiz_id

set db_conns [ns_db gethandle clickpool 2]
set db [lindex $db_conns 0]
set db_sub [lindex $db_conns 1]

set selection [ns_db 1row $db "select title, first_question_id, total_score, ltrim(to_char(total_trials,'999G999G999G999')) as total_trials, to_char(total_score/total_trials,'999.99') as average_score from quizzes where quiz_id = $quiz_id"]
set_variables_after_query

ReturnHeaders

ns_write "<html>
<head>
<title>$title</title>
</head>

<body bgcolor=#ffffff text=#000000>
<h2>$title Statistics</h2>

<hr>

<ul>
<li>total trials:  $total_trials
<li>average score: $average_score
</ul>

<table cellpadding=5>

"

set selection [ns_db select $db "select question_id, text as question_text
from questions  
where quiz_id = $quiz_id
start with question_id = $first_question_id
connect by question_id = PRIOR next_question_id"]

while { [ns_db getrow $db $selection] } {
    set_variables_after_query
    ns_write "<tr><th colspan=3 align=center>$question_text\n"
    set total_responses [database_to_tcl_string $db_sub "select sum(responses) from answers where question_id = $question_id"]
    if { ($total_responses == 0) || ($total_responses == "") } {
	set total_responses 1
    }
    set sub_selection [ns_db select $db_sub "select text as answer_text, responses, score_delta, round((responses/$total_responses)*100) as percentage
from answers 
where question_id = $question_id"]
    while { [ns_db getrow $db_sub $sub_selection] } {
	set_variables_after_subquery
	ns_write "<tr><td>$answer_text ($score_delta)<td align=right><b>$responses</b><td align=right><font size=-1>$percentage%</font>\n"
    }
    ns_write ""
}


ns_write "
</table>

<hr>
<a href=index.tcl>The Game</a>
</body>
</html>
"
